commit:     88362a935ea1a3587e73b28b56ae8f41edaffd57
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 14 17:41:43 2026 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Mar 14 18:02:56 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88362a93

app-shells/pwsh-bin: bump to 7.5.5

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-shells/pwsh-bin/Manifest              |  3 ++
 app-shells/pwsh-bin/pwsh-bin-7.5.5.ebuild | 72 +++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/app-shells/pwsh-bin/Manifest b/app-shells/pwsh-bin/Manifest
index 23f6c2a1cac7..c212cf9dfbae 100644
--- a/app-shells/pwsh-bin/Manifest
+++ b/app-shells/pwsh-bin/Manifest
@@ -1,3 +1,6 @@
 DIST powershell-7.5.4-linux-arm32.tar.gz 73167349 BLAKE2B 
f12a82c4e61a618a2b4445941f2bb23e00837c9f5274bbb587e45eff9e574e671ece9208d027aea1104fc076d1b71600953faca15b86e4825a9a1c3c58e9f36a
 SHA512 
78ceeef2d8ce28568d5421a423006941895df64cd797f9200ded8e75569e0375809013a376f3ecfbdc86f2fd7bebbd5f764f4104110ce6b2aedba48b211d666f
 DIST powershell-7.5.4-linux-arm64.tar.gz 72216296 BLAKE2B 
c82a2ea732a56acd6e84da63b1908ae8e8d266675f074175cb337e11582e090b4184e03fa42ef78e2d95e8a0087c69e27ba2da4c87629208b35d0eab67eaf48a
 SHA512 
ef721f209842f13a560a21373744ab953ee8af41a60a0ed2f434131f85f4cd1b11565e3615df538a7d78cb5dd2096e9e2ccb42f4ffda79208c80f5206bb40cad
 DIST powershell-7.5.4-linux-x64.tar.gz 75396784 BLAKE2B 
8f49bdbe6c5910cd90e6804803c26374708ebb943a90ccddc5e985202d74eb7d2540affd3f6cc35d43b99c3c1ff327968a3af4d2382deb67e9da04c1ab5e4bec
 SHA512 
6ff028cee3b23c71136de736ae5a93beb7b625215db3398b034fbdb0dd7b034ebf53da32cc47880982f7506054514e9af3cc5defcb4d69a7dd4a08a766469f0b
+DIST powershell-7.5.5-linux-arm32.tar.gz 73146204 BLAKE2B 
87b95417b074256777c605c856c67a481f9e1a6e2bf50e15d36184a5833f250f58a5d4ae0fcd27ddc1b23c16eb088dfa80c64cbc17a5f0cb46c8ad5f9944c62b
 SHA512 
ba4bb151051b0d1450cb772c69b1e7dae967bcb863b4a37154ab8d971211b46565ea96b72097191929e4db22688a1913fda62e8204bcf848d0fac69cdc964fa7
+DIST powershell-7.5.5-linux-arm64.tar.gz 72209831 BLAKE2B 
0b15c096d1193d0b2034536acf1e87c0b4401dd5face9a0ceea7ab3f591724cca6e6082b4109d869c2c5899ebfb03e909ccdfe36e97643f82ecde1d3576066d2
 SHA512 
4a6a06bec33ec0a10c87e1abd58f8f2b23deefcea9bd80cf0ce8d173282f519725f293db39526cb8f2e777032955f3e9af32d5cdfab56e54c998fe69ae06bbf2
+DIST powershell-7.5.5-linux-x64.tar.gz 75404981 BLAKE2B 
93d07786bd3160d9521349f974f974ce8d977eab26a898214305d2f96e80609efb91fdd6f66f6fcdc032613ec21ee6c6d3eb2019afe6f7634feba5495bf6a22f
 SHA512 
1b0b920bcc1de84777b745d30f039a0a410ac22ff6fa9dad18cb47c8b70f0083f7569ec34c748ffec6f0234625940da296e49124cec1418b97c17270c6665141

diff --git a/app-shells/pwsh-bin/pwsh-bin-7.5.5.ebuild 
b/app-shells/pwsh-bin/pwsh-bin-7.5.5.ebuild
new file mode 100644
index 000000000000..d966e86d913c
--- /dev/null
+++ b/app-shells/pwsh-bin/pwsh-bin-7.5.5.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit wrapper
+
+DESCRIPTION="Cross-platform automation and configuration tool (binary package)"
+HOMEPAGE="https://microsoft.com/powershell/
+       https://github.com/PowerShell/PowerShell/";
+
+BASE_URI="https://github.com/PowerShell/PowerShell/releases/download/";
+SRC_URI="
+       amd64? ( ${BASE_URI}/v${PV}/powershell-${PV}-linux-x64.tar.gz )
+       arm64? ( ${BASE_URI}/v${PV}/powershell-${PV}-linux-arm64.tar.gz )
+       arm?   ( ${BASE_URI}/v${PV}/powershell-${PV}-linux-arm32.tar.gz )
+"
+S="${WORKDIR}"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64"
+REQUIRED_USE="elibc_glibc"
+RESTRICT="splitdebug"
+
+RDEPEND="
+       app-crypt/mit-krb5:0/0
+       dev-libs/icu
+       dev-libs/openssl-compat:1.0.0
+       sys-libs/pam:0/0
+       virtual/zlib:0/1
+       || (
+               dev-util/lttng-ust-compat:0/2.12
+               dev-util/lttng-ust:0/2.12
+       )
+"
+IDEPEND="
+       app-eselect/eselect-pwsh
+"
+
+QA_PREBUILT="*"
+
+src_install() {
+       local -a broken_symlinks
+       broken_symlinks=( libcrypto.so.1.0.0 libssl.so.1.0.0 )
+
+       local symlink
+       for symlink in "${broken_symlinks[@]}" ; do
+               if [[ -L "${symlink}" ]] ; then
+                       rm "${symlink}" || die "failed to remove ${symlink}"
+               fi
+       done
+
+       local dest="opt/${PN}-${SLOT}"
+       local dest_root="/${dest}"
+
+       insinto "${dest_root}"
+       doins -r .
+
+       fperms 0755 "${dest_root}/pwsh"
+
+       local 
gentoo_path='PSModulePath="${PSModulePath}:${EPREFIX}/usr/share/GentooPowerShell/Modules:"'
+       make_wrapper "${PN}-${SLOT}" "env ${gentoo_path} ${dest_root}/pwsh"
+}
+
+pkg_postinst() {
+       eselect pwsh update ifunset
+}
+
+pkg_postrm() {
+       eselect pwsh update ifunset
+}

Reply via email to